Description

Hello,

I met this error very often in production.log. It seems to have no effect on reports view.

I'm using foreman 1.14-RC1 with foreman_chef .0.4.0.

2016-12-22 03:33:42 3e1e1356 [app] [I] Started POST "/api/reports" for 172.18.107.52 at 2016-12-22

 03:33:42 +0100

2016-12-22 03:33:42 3e1e1356 [app] [I] Processing by Api::V2::ReportsController#create as JSON

2016-12-22 03:33:42 3e1e1356 [app] [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}

2016-12-22 03:33:42 3e1e1356 [app] [I] processing report for w2008-3120-121

2016-12-22 03:33:42 3e1e1356 [app] [E] Unprocessable entity ConfigReport (id: new):

 |   Report time has already been taken

 | 

2016-12-22 03:33:42 3e1e1356 [app] [I]   Rendered api/v2/errors/unprocessable_entity.json.rabl wit

hin api/v2/layouts/error_layout (0.8ms)

2016-12-22 03:33:42 3e1e1356 [app] [I] Completed 422 Unprocessable Entity in 24ms (Views: 1.5ms | 

ActiveRecord: 2.4ms)

 Could you help me to solve this error?

History

#1 - 12/22/2016 05:07 AM - Dominic Cleal

Do you have any more reports from the same host arriving at almost the same time in the logs?

The error message suggests there is already a report with an identical "reported_at" timestamp for this host. It's likely that either the host is submitting

many reports at the same time, or the timestamp isn't being filled in at all.

#2 - 12/22/2016 05:52 AM - Pierre Deprey

Hello Dominic,

I've check nodes config, there is configuration doublon.

So you're right, two report of same node was sent at the same time.

I'll fix that problem on node config.

Thanks for your help! Sorry for inconvenience.

This ticket can be closed.

#3 - 12/22/2016 05:55 AM - Dominic Cleal

- Status changed from New to Rejected

No problem, thanks for confirming.
